package com.progetto.VEBS.model.dto;

import org.locationtech.jts.geom.Geometry;

public class AreaBluDTO {
	      
    private Integer id_area_blu;
    private String nome;
    private Geometry geometria;


    public void AreaBluDTO() {}
    
    public void AreaBluDTO(Integer id_area_blu, String nome, Geometry geometria) {
    	this.id_area_blu = id_area_blu;
    	this.nome = nome;
    	this.geometria = geometria;
    }

    // Getter e Setter
    public Integer getId() {
        return id_area_blu;
    }

    public void setId(Integer id_area_blu) {
        this.id_area_blu = id_area_blu;
    }

    public String getNome() {
        return nome;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }

    public Geometry getGeometry() {
        return geometria;
    }

    public void setGeometry(Geometry geometria) {
        this.geometria = geometria;
    }

    public String toString() {
        return "AreaBlu ( " + " id_area_blu = " + id_area_blu.toString() + "nome = " + nome.toString() +
        		" geometria = " + geometria.toString();
    }


}
